%define upstream_name    YAML-Tiny
%define upstream_version 1.73

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Read/Write YAML files with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
*YAML::Tiny* is a perl class for reading and writing YAML-style files,
written with as little code as possible, reducing load time and memory
overhead.

Most of the time it is accepted that Perl applications use a lot of memory
and modules. The *::Tiny* family of modules is specifically intended to
provide an ultralight and zero-dependency alternative to many more-thorough
standard modules.

This module is primarily for reading human-written files (like simple
config files) and generating very simple human-readable files. Note that I
said *human-readable* and not *geek-readable*. The sort of files that your
average manager or secretary should be able to look at and make sense of.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/YAML

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.730.0-3.mga8
+ Revision: 1507065
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.730.0-2.mga7
+ Revision: 1287475
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tv <tv> 1.730.0-1.mga7
+ Revision: 1206284
- update to 1.73

* Sun Jul 23 2017 shlomif <shlomif> 1.700.0-1.mga7
+ Revision: 1129068
- update to 1.70

* Sun Jun 19 2016 pterjan <pterjan> 1.690.0-3.mga6
+ Revision: 1036184
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.690.0-2.mga6
+ Revision: 968919
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 1.690.0-1.mga6
+ Revision: 857874
- update to 1.69

* Sat Jul 04 2015 sander85 <sander85> 1.670.0-1.mga6
+ Revision: 850319
- update to 1.67

* Wed Oct 15 2014 umeabot <umeabot> 1.630.0-3.mga5
+ Revision: 750356
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.630.0-2.mga5
+ Revision: 686993
- Mageia 5 Mass Rebuild

* Fri Jun 13 2014 sander85 <sander85> 1.630.0-1.mga5
+ Revision: 635943
- update to 1.63

* Tue Mar 25 2014 jquelin <jquelin> 1.620.0-1.mga5
+ Revision: 608466
- update to 1.62

* Tue Feb 25 2014 jquelin <jquelin> 1.610.0-1.mga5
+ Revision: 597058
- update to 1.61

* Mon Feb 24 2014 jquelin <jquelin> 1.600.0-1.mga5
+ Revision: 596423
- update to 1.60

* Mon Feb 10 2014 jquelin <jquelin> 1.580.0-1.mga5
+ Revision: 588844
- update to 1.58

* Mon Oct 21 2013 umeabot <umeabot> 1.560.0-2.mga4
+ Revision: 537577
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.560.0-1.mga4
+ Revision: 487309
- update to 1.56

* Thu Aug 22 2013 sander85 <sander85> 1.540.0-1.mga4
+ Revision: 469541
- update to 1.54

* Wed Aug 21 2013 sander85 <sander85> 1.530.0-1.mga4
+ Revision: 468820
- update to 1.53

* Sun Jan 13 2013 umeabot <umeabot> 1.510.0-2.mga3
+ Revision: 375326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.510.0-1.mga3
+ Revision: 255679
- update to 1.51

* Mon Jun 27 2011 jquelin <jquelin> 1.500.0-1.mga2
+ Revision: 114506
- update to 1.50

* Wed Feb 16 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 52271
- update to 1.48

* Tue Jan 18 2011 jquelin <jquelin> 1.460.0-1.mga1
+ Revision: 23093
- cleaning spec file
- imported package perl-YAML-Tiny


* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.460.0-1mdv2011.0
+ Revision: 622930
- update to new version 1.46

* Wed Aug 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.440.0-1mdv2011.0
+ Revision: 569160
- new version

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.430.0-1mdv2011.0
+ Revision: 551210
- update to 1.43

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.410.0-1mdv2010.1
+ Revision: 477632
- update to 1.41

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 408862
- update to 1.40

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.390.0-1mdv2010.0
+ Revision: 401808
- rebuild using %%perl_convert_version
- fixed license field

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.39-1mdv2010.0
+ Revision: 378240
- update to new version 1.39

* Sun May 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.38-1mdv2010.0
+ Revision: 376725
- update to new version 1.38

* Wed Jan 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.36-1mdv2009.1
+ Revision: 326624
- update to new version 1.36

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.35-1mdv2009.1
+ Revision: 320445
- update to new version 1.35

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.32-3mdv2009.0
+ Revision: 268885
- rebuild early 2009.0 package (before pixel changes)

* Mon May 19 2008 Thierry Vignaud <tv@mandriva.org> 1.32-2mdv2009.0
+ Revision: 208941
- fix spacing at top of description

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2009.0
+ Revision: 208377
- update to new version 1.32

* Sat May 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdv2009.0
+ Revision: 205400
- update to new version 1.31

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2009.0
+ Revision: 201899
- update to new version 1.30

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2009.0
+ Revision: 195162
- import perl-YAML-Tiny


* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2009.0
- first mdv release
